fourdst::libcomposition v2.2.1 Robust atomic species information library

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
composition.h File Reference
`#include <string>`
`#include <unordered_map>`
`#include <set>`
`#include <optional>`
`#include <unordered_set>`
`#include "fourdst/config/config.h"`
`#include "fourdst/logging/logging.h"`
`#include "fourdst/composition/composition_abstract.h"`
`#include "fourdst/atomic/atomicSpecies.h"`
Include dependency graph for composition.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | fourdst::composition::CanonicalComposition
| Represents the canonical (X, Y, Z) composition of stellar material. More...
class | fourdst::composition::Composition
| Manages a collection of chemical species and their abundances. More...
struct | fourdst::composition::Composition::CompositionCache
| Caches computed properties of the composition to avoid redundant calculations. More...

## Namespaces
namespace | fourdst
namespace | fourdst::composition
| Utilities and types for representing and manipulating chemical compositions.

## Functions
bool | fourdst::composition::operator== (const Composition &a, const Composition &b) noexcept